/*
    === CSS Dark Mode ===
*/
/* aplicar CSS al body */

body {
  background-color: #212121;
  color: white;
}

/* Definir CSS por etiqueta */

h1 {
  /* Aplicará el estilo a todos los encabezados "h1" */
  color: red;
}

#titulo-2 {
  /*Aplicará el estilo al elemento con el id "titulo-2"*/
  color: royalblue;
}

.clase_titulo {
  /*Aplicará el estilo a los elementos con la clase "clase_titulo" */
  color: teal;
}

/*
    Se le da formato a las etiquetas "p"
*/
p {
  font-size: 1.1rem;
  font-family: Helvetica;
  line-height: 2rem;
  text-align: justify;
}

/* 
    Aplicará el estilo a todos los botones que no estén deshabilitados
*/
button:not(:disabled) {
  border: none;
  background-color: teal;
  padding: 0.5rem 1rem;
  color: white;
  font-size: 0.9rem;
  border-radius: 4px;
}

/*
    Se aplican transiciones al button
*/
button {
  margin-inline-end: 2rem;
  transition: 600ms;
}

button:hover {
  /*Evento para cuando el mouse pasa encima del elemento*/
  cursor: pointer;
  transition: 600ms;
  transform: scale(1.2);
}

/*
    Se aplicará el estilo a todos los "input" de tipo "button"
*/
input[type="button"] {
  border: none;
  background-color: crimson;
  padding: 0.5rem 1rem;
  color: white;
  font-size: 0.9rem;
  border-radius: 4px;
}

/*
    Se aplicará el estilo a todos los "input" de tipo "checkbox"
*/
input[type="checkbox"] {
  transform: scale(2);
  margin: 1rem;
}

/*
    Se aplicará el estilo a todos los "input" de tipo "text"
*/
input[type="text"] {
  background-color: transparent;
  font-size: 1rem;
  padding: 0.25rem 1rem;
  border: 1px solid #f1f1f1;
  border-radius: 4px;
  color: #f1f1f1;
}

/*
    Se aplicará el estilo a todos los "input" que estén seleccionados por el usuario
*/
input[type="text"]:focus {
  outline: none !important;
  border: 1px solid teal;
}
input[type="text"]::placeholder {
  color: #f1f1f1;
}

/*
    Se aplicará el estilo a todos los "ul"
*/
ul {
  list-style: square;
  font-size: 1.2rem;
  font-family: "Times New Roman";
  color: dodgerblue;
}

ul li {
  /*Se aplica a todos los "li" que estén dentro del "ul"*/
  margin-top: 1rem;
}

ul li:last-child {
  /*Se aplica el estilo al ultimo elemento de la lista*/
  color: tomato;
}

/*
    Se aplicará el estilo a todos los elementos que tengan la clase "ordered"
*/

.ordered {
  list-style-type: lower-alpha;
}

.ordered li:first-child {
  /*Se aplica el estilo al primer elemento de la lista*/
  color: orange !important;
}

.ordered li {
  font-size: 1.2rem;
  margin-top: 1rem;
  font-family: "Times New Roman";
  color: darkolivegreen;
}

/*
    Se aplicará el estilo a todos los "a"
*/
a {
  font-size: 1.2rem;
  text-decoration: none;
  font-family: "Times New Roman";
  color: aliceblue;
  font-weight: 600;
}

/*
    Se aplicará a todas las etiquetas textarea
*/

textarea {
  background-color: transparent;
  color: #f1f1f1;
  border: 1px solid #f1f1f1;
  outline: none;
}

textarea::placeholder {
  /*Color del texto por defecto*/
  color: #f1f1f1;
}

textarea:focus {
  border: 1px solid teal;
}
